List the active tests in a test suite
curl --request GET \
--url https://app.egma.ai/v1/tests \
--header 'Authorization: Bearer <token>'{
"tests": [
{
"id": "<string>",
"projectId": "<string>",
"suiteId": "<string>",
"name": "<string>",
"description": "<string>",
"version": 2,
"versionId": "<string>",
"scenario": "<string>",
"expectedBehaviors": [
"<string>"
],
"personas": [
{
"id": "<string>",
"name": "<string>",
"archivedAt": "2023-11-07T05:31:56Z"
}
],
"mockTools": [
{
"tool": "<string>",
"answer": "<unknown>",
"error": "<unknown>"
}
],
"env": {
"retell_dynamic_variables": {},
"job_dispatch_metadata": {}
},
"revision": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Tests
List the active tests in a test suite
GET
/
v1
/
tests
List the active tests in a test suite
curl --request GET \
--url https://app.egma.ai/v1/tests \
--header 'Authorization: Bearer <token>'{
"tests": [
{
"id": "<string>",
"projectId": "<string>",
"suiteId": "<string>",
"name": "<string>",
"description": "<string>",
"version": 2,
"versionId": "<string>",
"scenario": "<string>",
"expectedBehaviors": [
"<string>"
],
"personas": [
{
"id": "<string>",
"name": "<string>",
"archivedAt": "2023-11-07T05:31:56Z"
}
],
"mockTools": [
{
"tool": "<string>",
"answer": "<unknown>",
"error": "<unknown>"
}
],
"env": {
"retell_dynamic_variables": {},
"job_dispatch_metadata": {}
},
"revision": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Authorizations
bearerAuthsessionCookie
An Egma API key.
Query Parameters
Minimum string length:
1The test suite to read. Tests are listed one suite at a time.
Minimum string length:
1Minimum string length:
1Required range:
1 <= x <= 200